//身份证格式
function isidcard(idcard) {
	var idreg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
	if (idreg.test(idcard) == false) {

		api.toast({
			msg: '身份证格式不符合'
		}, function(ret, err) {

		});
		return false;
	}
	return true;

}

//检测帐号是否为空
function isusernull() {
	var username = $api.val($api.byId("username"));
	var password = $api.val($api.byId("password"));
	if (password == '' || username == '') {

		return true;
	}
	return false;
}

//密码格式
function ispassword(number) {
	if (number == '') {
		api.toast({
			msg: '密码不能为空'
		});
		return false
	}
	if (number.length < 6 || number.length > 18) {
		api.toast({
			msg: '密码格式不符合，请采用6-18位密码'
		});
		return false;
	}
	return true;
}

function isusername(username) {

	if (username == '') {
		api.toast({
			msg: '用户名不能为空'
		});
		return false
	}
	if (username.length < 5 || username.length > 18) {
		api.toast({
			msg: '用户名为5-18位字符串'
		});
		return false
	}
	return true;


}
//检测手机号码
function isphone(number) {


	if (number == '') {
		api.toast({
			msg: '手机号码不能为空'
		});
		return false
	}
	if (number.length != 11) {
		api.toast({
			msg: '手机号码为11位'
		});
		return false
	}
	var phonereg = /1[3-8]+\d{9}/;
	if (phonereg.test(number)) {
		return true;
		//true
	}
	api.toast({
		msg: '手机号码不符合格式'
	});
	return false;
}

//随机生成用户名
function randomUsername(n) {

	var chars = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];

	var res = "";
	for (var i = 0; i < n; i++) {
		var id = Math.ceil(Math.random() * 35);
		res += chars[id];
	}
	return res;
}

//验证码是否符合标准
function iscode(number) {

	if (number == '') {
		api.toast({
			msg: '验证码不能为空'
		});
		return false;
	}

	if (number.length != 6) {
		api.toast({
			msg: '验证码长度必须为6位'
		});
		return false;

	};

	var phonereg = /^\d{6}$/;
	if (phonereg.exec(number)) {
		return true;
	}
	return false;

}

//邀请码是否符合标准
function isguide(number) {
	if (number.length == 0) {

		return true;
	}
	if (number.length != 6) {
		api.toast({
			msg: '请输入6位邀请码'
		});
		return false;
	}
	if (number.length == 6) {

		var phonereg = /[^\A-Z]/g;

		if (phonereg.exec(number)) {
			return true;
		}
		api.toast({
			msg: '邀请码不正确'
		});
		return false;
	}
}